
ChiliProject - Feature # 331: Set %done with issue state while allowing to change %done manually

Status: Ready for review Priority: Normal
Author: Harald FrieÃŸnegger Category:
Created: 2011-04-13 Assignee:
Updated: 2012-11-28 Due date:
Remote issue URL:
Affected version:
Description: by default, setting the issue state to closed does not set %done to 100%.

one can couple %done with the status (can't remember if it was with stock redmine/chili or through a plugin) 
by telling which state means which percentage.
however, this hides the %done field completely so developers can't document how much work is left for a 
specific issue.

it would be good to have a configuration option to optionally associate issue states with a value for %done 
whilst still having the possibility to change the value manually.
eg for most users the state closed also means 100% of the work has been done.

History
2011-09-29 12:03 pm - MÃ¡rton DanÃ³czy
- Target version set to 2.3.0

+1

To rephrase: even if the issue done field is calculated automatically, it should not be hidden. The user should be allowed to change it. That is, the 
functionality should be as with the "Issue Due Date Plugin":http://www.redmine.org/projects/redmine/wiki/PluginIssueDueDate

After updating an issue, the following should be checked:
* If done% is empty, fill it from the automatic values
* Else
** if issue status has changed, fill done% from the automatic values
** if issue status hasn't changed, don't touch done%

2011-09-29 12:28 pm - Harald FrieÃŸnegger
sounds good!

2011-10-04 08:32 am - Holger Just
- Target version deleted (2.3.0)

Moving out of the 2.3 target as we don't have any code yet. And I want to release today :)

2012-05-10 01:22 pm - Daniel Nauck
Any news in this topic?

2012-05-13 04:35 pm - Stephan Eberle
I added something similar with this Pull Request:

https://github.com/chiliproject/chiliproject/pull/192
Best regards,
Steviee

2012-11-19 10:06 am - Stephan Eberle
- Status changed from Open to Ready for review

I added the missing unit tests to Github

2012-11-27 09:48 pm - kwadronaut .
I think Stephans patch is fine, however maybe it should belong in a different bug. To clarify 
what's being asked:
> After updating an issue, the following should be checked:
> 
> If done% is empty, fill it from the automatic values
> Else
> if issue status has changed, fill done% from the automatic values
> if issue status hasn't changed, don't touch done%

What's been written:
> After closing a bug, it sets the done ratio to 100%

2012-11-28 09:05 am - Harald FrieÃŸnegger
kwadronaut is right. the ticket is about some more confguration and functionality. however, setting done to 100% when a ticket is closed already helps a 
lot and should find it's way into the next release.

2012-11-28 10:52 am - Stephan Eberle
Fine by me. Should I do something to speed this up?
Travis-CI seems to have a little problem with my tests, tho... Locally run they work for me.
